// -*-c++-*-
//===========================================================
//=     University of Illinois at Urbana/Champaign          =
//=     Department of Computer Science                      =
//=     Dr. Dan Roth - Cognitive Computation Group          =
//=                                                         =
//=  Project: Snow                                          =
//=                                                         =
//=   Module: SnowParam.h                                   =
//=  Version: 2.1                                           =
//=  Authors: Jeff Rosen, Andrew Carlson                    =
//=     Date: xx/xx/99                                      = 
//=                                                         =
//= Comments:                                               =
//===========================================================

#ifndef __SNOWPARAM_H__
#define __SNOWPARAM_H__

bool ParseParamFile( const char* paramFilename );
bool ValidateParams();
bool ProcessParam( int param, const char* arg );
bool ParseCmdLine( int argc, char* argv[] );

#endif
